summaryrefslogtreecommitdiffstats
path: root/source/a/tcsh/tcsh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/tcsh/tcsh.SlackBuild')
-rwxr-xr-xsource/a/tcsh/tcsh.SlackBuild17
1 files changed, 13 insertions, 4 deletions
diff --git a/source/a/tcsh/tcsh.SlackBuild b/source/a/tcsh/tcsh.SlackBuild
index 653964787..8cf4feb47 100755
--- a/source/a/tcsh/tcsh.SlackBuild
+++ b/source/a/tcsh/tcsh.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +21,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=6.15.00
-ARCH=${ARCH:-x86_64}
+VERSION=6.17.00
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tcsh
@@ -41,7 +50,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf tcsh-$VERSION
-tar xjvf $CWD/tcsh-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/tcsh-$VERSION.tar.?z* || exit 1
cd tcsh-$VERSION
# The LS_COLORS variable shared by tcsh has new options in recent